///////////////////////////////////////////////////////////////////////////////
//                   SOFTWARE COPYRIGHT NOTICE AGREEMENT                     //
//       This software and its documentation are copyright (2009) by the     //
//   Broad Institute.  All rights are reserved.  This software is supplied   //
//   without any warranty or guaranteed support whatsoever. The Broad        //
//   Institute is not responsible for its use, misuse, or functionality.     //
///////////////////////////////////////////////////////////////////////////////
/*
 * \file Fastq2Fasta.cc
 * \author tsharpe
 * \date Aug 12, 2009
 *
 * \brief Converts a Fastq file to FASTA file.
 */
#include "system/Assert.h"
#include "system/RunTime.h"
#include <iostream>
#include <string>

using std::cin;
using std::cout;
using std::endl;

int main( int argc, char **argv )
{
    RunTime();

    int bufsize = 1024 * 1024;
    char* buf = new char[bufsize];
    while ( cin.getline(buf, bufsize) )
    {
        AssertEq(buf[0],'@');
        buf[0] = '>';
        cout << buf << '\n';
        cin.getline(buf, bufsize);
        cout << buf << '\n';
        cin.ignore(bufsize, '\n');
        cin.ignore(bufsize, '\n');
    }
    delete [] buf;
}
